GETARGERROR(3)

NAME
getargerror() - convert arg parsing error code to a string

SYNOPSIS
#include <schily/getargs.h>
char *getargerror(val)
	int val;        /* error code */

DESCRIPTION
getargerror() returns a string that matches the return code of the argument parsing routines.

RETURNS

A string that matches the return code or the string Illegal arg error in case that a nonexisting return code has been passed.

The codes FLAGPARSED and NOTAFLAG share the same value, but FLAGPARSED is not returned to external callers.

SEE ALSO

getargs(3), getallargs(3), getfiles(3).

BUGS

None currently known.

Mail bugs and suggestions to schilytools@mlists.in-berlin.de or open a ticket at https://codeberg.org/schilytools/schilytools/issues.

The mailing list archive may be found at:

https://mlists.in-berlin.de/mailman/listinfo/schilytools-mlists.in-berlin.de.

AUTHOR
Joerg Schilling and the schilytools project authors.